Skip to main content

Create a policy configuration

POST 

/nevisidm/api/core/v1/:clientExtId/policies

Since: 2.79.0

Required permission(s): AccessControl.PolicyCreate

Creates a new policy configuration for the specified client.

The policyType field is required and determines what kind of policy is created (e.g. PwdPolicy, CertificatePolicy, ClientPolicy). If no external ID is provided, one is auto-generated.

For password-type policies, parameter consistency is validated (e.g. maxLength must not be lower than minLength or the sum of minimum character type requirements).

Only one ClientPolicy is allowed per client. Attempting to create a second one will result in an error.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123

Body

required
    defaultPolicy boolean

    Whether this policy is the default policy for its type within the client.

    description string

    The textual description of the policy.

    name string

    The name of the policy.

    parameters object

    Lists the policy parameters assigned to the policy configuration. The parameters are represented as name-value pairs.

    For further information about credential related policy parameters, visit Configuration > Credentials > Policy parameters in nevisIDM Documentation.

    For further information about non-credential related policy Parameters, visit Configuration > Components > Parameters of policies in nevisIDM Documentation.

    property name* string
    version int32

    The version used for optimistic locking.

    extId string

    The external ID of the policy. If not provided, an ID is auto-generated.

    policyType stringrequired

    Possible values: non-empty, [PwdPolicy, OTPCardPolicy, TicketPolicy, TempStrongPasswordPolicy, CertificatePolicy, GenericCredentialPolicy, TANPolicy, VascoPolicy, PUKPolicy, URLTicketPolicy, DevicePasswordPolicy, MobileSignaturePolicy, SAMLFederationPolicy, SecurityQuestionsPolicy, ContextPasswordPolicy, OpenAuthenticationPolicy, ProfilePolicy, ClientPolicy, UnitPolicy, FidoUafPolicy]

    The type of policy to create. Determines which credential or component the policy applies to.

Responses

Policy configuration created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...